from nodebox.graphics import Point,Path,Color


def canvas(context):
    library = context.nodeLibrary
    w = float(library.getProperty("canvasWidth"))
    h = float(library.getProperty("canvasHeight"))
    p = Path()
    p.moveto(-1*w/2,-1*h/2)
    p.lineto(w/2,-1*h/2)
    p.lineto(w/2,h/2)
    p.lineto(-1*w/2,h/2)
    p.close()
    p.fill = Color.WHITE
    p.stroke = Color.BLACK
    p.strokeWidth = 0.0
    return p   
